View Issue Details

IDProjectCategoryView StatusLast Update
00314342.x IDE BugsSearch & ReplacePublic2019-10-17 15:35
ReporterAliceAssigned ToAlan Savage 
PriorityHighSeverityA - Crash/HangReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.4 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031434: Search and Replace: IDE hangs when using "Replace All" on large projects
DescriptionOn larger projects, the IDE freezes on trying to replace a large amount of words using "Replace All". The user has to quit the program and on relaunch only part of the task has been completed.
Additionally, the freeze also occurs when trying to "Replace All" after no words to replace have been found, but the repro rate for this is 50%.

Please note that the freeze happens on performing "Replace All" only. "Find All" and all of the other actions are performed correctly.
Please note that this does not happen on smaller projects or when trying to replace only a few words.
Please note that the issue does not affect 2.2.3.
Steps To Reproduce1. Launch version 2.2.4.459 with Runtime 2.2.4.366
2. Open a large project (see note)
3. Open the "Search and Replace" tool from the menu
4. Search for a commonly used word
5. Replace All with a different word
6. Observe the issue
TagsNo tags attached.
2.x IDE Found In2.2.4.459
2.x Runtime Found In2.2.4.366
2.x IDE Verified In2.2.4.464
2.x Runtime Verified In2.2.4.372

Activities

Alan Savage

2019-10-15 16:26

Developer   ~0064990

fix commited to master (red)

Scott Dunbar

2019-10-16 13:44

Adminstrator   ~0064995

Fix verified on red 1996

Scott Dunbar

2019-10-17 15:35

Adminstrator   ~0065007

Verified fixed